<script type="text/javascript">
$(document).ready(function(){
	cari_tgl();
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){				
				$("#txt_tanggal").val(data.tanggal);
			}
		});
	}
	
	$("#txt_kodesp").focus();
	
	$("#txt_kodesp").keyup(function() {
		var kode = $("#txt_kodesp").val();
				
		if(kode.length==4){
		$.ajax({
			type	: "POST",
			url		: "modul/pembelian/cari_sup.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_kodesp").val(kode);
				$("#txt_nama").val(data.namasup);
				var nama = $("#txt_nama").val();
				if(nama.length==0){
					alert("Maaf, data supplier "+kode+" tidak ditemukan.");
					return (false);
				}
				tampil_detail();
			}
		});
		}
	});
	
	function tampil_detail(){
		var kode = $("#txt_kodesp").val();
		$("#data_detail").load("modul/hutang_dg/tampil_data_detail.php?kode="+kode);
		$("#txt_nofak").focus();
	}
		
	$("#txt_nama").keyup(function(){
		$("#form_input").hide();
		$("#info_supplier").show();
		var cari= $("#txt_nama").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/hutang_dg/tampil_data_sup.php",
			data	: "cari="+cari,
			timeout	: 2000,
			beforeSend	: function(){	
				$("#info_supplier").html("<img src='loading.gif' />");
			},				  
			success	: function(data){
				$("#info_supplier").html(data);				
			}
		});
	});
	
	$("#simpan").click(function(){
		simpan_data();		
	});
		
	function simpan_data(){
		var	kodesp	= $("#txt_kodesp").val();
		var	nama	= $("#txt_nama").val();
		var	nofak 	= $("#txt_nofak").val();
		var	tanggal	= $("#txt_tanggal").val();
		var	jumlah	= $("#txt_jumlah").val();
		var	tanggaljt=$("#txt_tanggaljt").val();
		
		var error 	= false;
		
		if(kodesp.length == 0){
			var error = true;
			alert("Maaf, Kode supplier masih kosong.");
			$("#txt_kodesp").focus();
			return (false);
        }
		
		if(nofak.length == 0){
			var error = true;
			alert("Maaf, Nomor faktur masih kosong.");
			$("#txt_nofak").focus();
			return (false);
        }
		
		if(tanggal.length == 0){
			var error = true;
			alert("Maaf, Tanggal faktur tidak boleh kosong.");
			$("#txt_tanggal").focus();
			return (false);
        }
		 
		if(jumlah.length == 0){
			var error = true;
			alert("Maaf, Jumlah nominal tidak boleh kosong.");
			$("#txt_jumlah").focus();
			return (false);
        }
		
		if(tanggaljt.length == 0){
			var error = true;
			alert("Maaf, Tanggal jatuh tempo tidak boleh kosong.");
			$("#txt_tanggaljt").focus();
			return (false);
        }
		  
		if(error == false){
		$.ajax({
			type	: "POST",
			url		: "modul/hutang_dg/simpan.php",
			data	: "kodesp="+kodesp+
					"&nama="+nama+
					"&nofak="+nofak+
					"&tanggal="+tanggal+
					"&jumlah="+jumlah+
					"&tanggaljt="+tanggaljt,
					
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				$("#akses").val(1);
				$(".input").val('');
				tampil_detail();
			}
		});
		}
		return false; 			
	}
		
	$("#tutup").click(function(){	
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#txt_kode {
	background:#CCC;
}
#cari_produk{
	cursor:pointer;
}
#cari_buyer{
	cursor:pointer;
}
.input_detail readonly {
	background:#666;
}
</style>

<?php
echo "<table>
	<tr>
		<td>Kode Supplier</td>
		<td>:</td>
		<td><input type='text' name='txt_kodesp' id='txt_kodesp' size='3' >
		<td></td>
		<td>Nama Supplier</td>
		<td>:</td>
		<td><input name='txt_nama' id='txt_nama' size='25' ></td>	
	</tr>
	</table>
	<hr>";

echo "<div id='info_supplier' align='center'></div>";
	
echo "<div id='form_input' align='center'>
	<table width='100%'>
	<tr>	
		<th>Nomor Faktur</th>
		<th>Tanggal Faktur</th>
		<th>Jumlah Nominal</th>
		<th>Jatuh Tempo</th>
		<th></th>
		<th></th>
	</tr>
	
	<tr>
		<input type='date' name='txt_tgl' id='txt_tgl' class='input' hidden />
		<td><input type='text' name='txt_nofak' id='txt_nofak' size='10' class='input'></td>
		<td><input type='date' name='txt_tanggal' id='txt_tanggal'></td>
		<td><input type='text' name='txt_jumlah' id='txt_jumlah' class='input'></td>
		<td><input type='date' name='txt_tanggaljt' id='txt_tanggaljt'></td>
		<td colspan='3' align='center'>
			<button name='simpan' id='simpan'>Rekam</button>
			<button name='tutup' id='tutup'>Tutup</button>
		</td>
	</tr>
	</table>
	<div>";
	
echo "<div id='data_detail'></div>";
?>
